IcedTea-Web NetX

## net.sourceforge.jnlp.runtime
Interface PacEvaluator

All Known Implementing Classes:
  FakePacEvaluator, RhinoBasedPacEvaluator

    public interface PacEvaluator

This interface represents an object which can evaluate Proxy Auto Config files.

Method Summary
`java.lang.String` `getProxies(java.net.URL url)` Get the proxies for accessing a given URL.

Method Detail

### getProxies

    java.lang.String getProxies(java.net.URL url)

  Get the proxies for accessing a given URL. The result is obtained by evaluating the PAC file with the given url (and the host) as input.

  Parameters:
    `url` - the url for which a proxy is desired
  Returns:
    a list of proxies in a string like

        "PROXY foo.example.com:8080; PROXY bar.example.com:8080; DIRECT"

IcedTea-Web NetX

Submit a bug or feature